% Example of using the GLAD tools for deblurring a weakly blurred and
% strongly noisy RGB image

% Input data
im = imread('exampleImage.jpg');
% Parameter setting
h = 3.0; % global smoothing parameter
alpha = 0.8; % structure sensitiviy parameter
% GLAD restoration
im_out = uint8(GLAS_RGB(im,alpha,h));
% Show output
figure;imshow(uint8(im));title('Input image')
figure;imshow(uint8(im_out));title('Output image')